# Uses of Class
org.snpeff.geneSets.GeneSets

Packages that use GeneSets
Package
Description
org.snpeff.geneSets
org.snpeff.geneSets.algorithm

## Uses of GeneSets in org.snpeff.geneSets

Subclasses of GeneSets in org.snpeff.geneSets
Modifier and Type
Class
Description
`class`
`GeneSetsRanked`
A collection of GeneSets Genes are ranked (usually by 'value')
Methods in org.snpeff.geneSets that return GeneSets
Modifier and Type
Method
Description
`static GeneSets`
GeneSets.`factory(GoTerms goTerms)`
Create gene sets form GoTerms
`GeneSets`
GeneSet.`getGeneSets()`
Methods in org.snpeff.geneSets with parameters of type GeneSets
Modifier and Type
Method
Description
`protected void`
GeneSets.`copy(GeneSets geneSets)`
Copy all data from geneSets
`void`
GeneSet.`setGeneSets(GeneSets geneSets)`
Constructors in org.snpeff.geneSets with parameters of type GeneSets
Modifier
Constructor
Description
``
`GeneSet(String name, String description, GeneSets geneSets)`
Create an empty gene set (that belongs to a collection of gene sets 'geneSets')
``
`GeneSet(List<GeneSet> geneSetList, GeneSets geneSets)`
Create a new GeneSet by joining all GeneSets in the list
``
`GeneSets(GeneSets geneSets)`
``
`GeneSetsRanked(GeneSets geneSets)`

## Uses of GeneSets in org.snpeff.geneSets.algorithm

Constructors in org.snpeff.geneSets.algorithm with parameters of type GeneSets
Modifier
Constructor
Description
``
`EnrichmentAlgorithm(GeneSets geneSets, int numberToSelect)`
``
`EnrichmentAlgorithmGreedy(GeneSets geneSets, int numberToSelect)`
``
`EnrichmentAlgorithmGreedyVariableSize(GeneSets geneSets, int numberToSelect)`
``
`FisherPValueAlgorithm(GeneSets geneSets, int numberToSelect)`
``
`FisherPValueGreedyAlgorithm(GeneSets geneSets, int numberToSelect)`
``
`LeadingEdgeFractionAlgorithm(GeneSets geneSets, int numberToSelect, boolean orderDescending)`
``
`NoneAlgorithm(GeneSets geneSets)`